Subject: Re: [PATCH net-next v2 1/2] net: store netdevs in an xarray

From: Stephen Hemminger <[email-masked]>
Date: Fri, 28 Jul 2023 16:23:50 -0700

On Fri, 28 Jul 2023 08:27:45 -0700
Jakub Kicinski <[email-masked]> wrote:

> On Fri, 28 Jul 2023 07:53:04 +0300 Leon Romanovsky wrote:
> > > I'm feeding xa_alloc_cyclic() xa_limit_31b, which should take care 
> > > of that, no?    
> > 
> > And what about xa_insert() call? Is it safe?  
> 
> I think so, as in - the previous code doesn't have any checks either,
> so it'd insert the negative ifindex into the hash table. Hopefully
> nobody assigns negative values to dev->ifindex, that'd be a bug in
> itself, I reckon.
> 

Even inserting with ifindex = 0 would be a bug